<?php
function getEuCountryList($selected = 'GB')	{
	
	$selected = strtoupper($selected);
	
	$euCountry = array(
		'AT' => 'Austria',
		'AX' => 'Aland Islands',
		'BE' => 'Belgium',
		'BG' => 'Bulgaria',
		'CZ' => 'Czech Republic',
		'CY' => 'Cyprus',
		'DE' => 'Germany',
		'DK' => 'Denmark',
		'ES' => 'Spain',
		'EE' => 'Estonia',
		'FI' => 'Finland',
		'FR' => 'France',
		'GR' => 'Greece',
		'GB' => 'United Kingdom',
		'GF' => 'French Guiana',
		'GI' => 'Gibraltar',
		'GP' => 'Guadeloupe',
		'HU' => 'Hungary',
		'IE' => 'Ireland',
		'IT' => 'Italy',
		'LT' => 'Lithuania',
		'LU' => 'Luxembourg',
		'LV' => 'Latvia',
		'MT' => 'Malta',
		'MQ' => 'Martinique',
		'NL' => 'Netherlands',
		'PL' => 'Poland',
		'PT' => 'Portugal',
		'RE' => 'Reunion',
		'RO' => 'Romania',
		'SE' => 'Sweden',
		'SK' => 'Slovakia',
		'SI' => 'Slovenia',
	);
	
	$html = '';
	
	foreach($euCountry as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>('.$code.') '.$name.'</option>';
	}
return $html;
}


function getCedIdentificationForm($type)	{
	$selected = strtolower($type);
	
	$identificationTypes = array(
		"passport"              => "Passport",
		"certificate"           => "Certificate",
		"legislation"           => "Legislation",
		"societiesregistry"     => "Societies registry",
		"politicalpartyregistry"=> "Political party registry",
		"other"                 => "Other",
	);
	
	$html = '';
	
	foreach($identificationTypes as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ? ' selected':'').'>'.$name.'</option>';
	}
	
return $html;
}

function getCedLegalEntityType($type)	{
	
	$selected = strtolower($type);
	
	$entityTypes = array(
		"naturalperson"=>"Natural person",
		"corporation"=>"Corporation",
		"cooperative"=>"Cooperative",
		"partnership"=>"Partnership",
		"government"=>"Government",
		"politicalparty"=>"Political party",
		"society"=>"Society",
		"institution"=>"Institution",
		"other"=>"Other",		
	);
	
	$html = '';
	
	foreach($entityTypes as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
return $html;
}



function getCedContactType($type)	{
	$selected = strtolower($type);
	
	$contactTypes = array(
		'registrant' => 'registrant',
		'admin'      => 'admin',
		'technical'  => 'technical',
		'billing'    => 'billing',
	);
	
	$html = '';
	
	foreach($contactTypes as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
return $html;
}

function getReContactCountryList($selected = 'RE')	{
	
	$selected = strtoupper($selected);
	
	$reCountry = array(
		"FR"=>"France",
		"GF"=>"French Guyana",
		"PF"=>"French Polynesia",
		"TF"=>"French Southern Territories",
		"GP"=>"Guadeloupe",
		"MQ"=>"Martinique",
		"YT"=>"Mayotte",
		"NC"=>"New Caledonia",
		"RE"=>"Reunion</option>",
		"BL"=>"Saint Barthelemy",
		"MF"=>"Saint Martin",
		"PM"=>"Saint Pierre and Miquelon",
		"WF"=>"Wallis and Futuna",	
	);
	
	$html = '';
	
	foreach($reCountry as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
return $html;
}


function getCedContactCountryList($selected = 'CN')	{
	
	$selected = strtoupper($selected);
	
	$asiaCountry = array(
"CN"=>"China",
"HK"=>"Hong Kong",
"JP"=>"Japan",
"KP"=>"Korea, Democratic People's Republic Of",
"KR"=>"Korea, Republic Of",
"MN"=>"Mongolia",
"MO"=>"Macao",
"TW"=>"Taiwan, Province Of China",
"AE"=>"United Arab Emirates",
"AF"=>"Afghanistan",
"AM"=>"Armenia",
"AZ"=>"Azerbaijan",
"BH"=>"Bahrain",
"CY"=>"Cyprus",
"GE"=>"Georgia",
"IL"=>"Israel",
"IQ"=>"Iraq",
"IR"=>"Iran, Islamic Republic Of",
"JO"=>"Jordan",
"KG"=>"Kyrgyzstan",
"KW"=>"Kuwait",
"KZ"=>"Kazakhstan",
"LB"=>"Lebanon",
"OM"=>"Oman",
"PS"=>"Palestinian Territory, Occupied",
"QA"=>"Qatar",
"SA"=>"Saudi Arabia",
"SY"=>"Syrian Arab Republic",
"TJ"=>"Tajikistan",
"TM"=>"Turkmenistan",
"TR"=>"Turkey",
"UZ"=>"Uzbekistan",
"YE"=>"Yemen",
"BD"=>"Bangladesh",
"BN"=>"Brunei Darussalam",
"BT"=>"Bhutan",
"ID"=>"Indonesia",
"IN"=>"India",
"KH"=>"Cambodia",
"LA"=>"Lao People's Democratic Republic",
"LK"=>"Sri Lanka",
"MM"=>"Myanmar",
"MV"=>"Maldives",
"MY"=>"Malaysia",
"NP"=>"Nepal",
"PH"=>"Philippines",
"PK"=>"Pakistan",
"SG"=>"Singapore",
"TH"=>"Thailand",
"TL"=>"Timor-leste",
"VN"=>"Viet Nam",
"AQ"=>"Antarctica",
"AU"=>"Australia",
"CC"=>"Cocos (keeling) Islands",
"CK"=>"Cook Islands",
"CX"=>"Christmas Island",
"FJ"=>"Fiji",
"FM"=>"Micronesia, Federated States Of",
"HM"=>"Heard Island And Mcdonald Islands",
"KI"=>"Kiribati",
"MH"=>"Marshall Islands",
"NF"=>"Norfolk Island",
"NR"=>"Nauru",
"NU"=>"Niue",
"NZ"=>"New Zealand",
"PG"=>"Papua New Guinea",
"PW"=>"Palau",
"SB"=>"Solomon Islands",
"TK"=>"Tokelau",
"TO"=>"Tonga",
"TV"=>"Tuvalu",
"VU"=>"Vanuatu",
"WS"=>"Samoa",	
	);
	
	$html = '';
	
	foreach($asiaCountry as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
return $html;
}

function  getEuLangList($lang = 'en')	{
	
	$lang = strtolower($lang);
	
	$euLangs = array(
		'en'=>'English',
		'cs'=>'Czech',
		'da'=>'Danish',
		'el'=>'Greek',
		'es'=>'Spanish',
		'et'=>'Estonian',
		'fi'=>'Finnish',
		'fr'=>'French',
		'hu'=>'Hungarian',
		'it'=>'Italian',
		'lt'=>'Lithuanian',
		'lv'=>'Latvian',
		'mt'=>'Maltese',
		'nl'=>'Dutch',
		'pl'=>'Polish',
		'pt'=>'Portuguese',
		'sk'=>'Slovak',
		'sl'=>'Slovenian',
		'sv'=>'Swedish',
		'ro'=>'Romanian',
		'bg'=>'Bulgarian',
		'ga'=>'Irish',
	);
	
	$html = '';
	
	foreach($euLangs as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $lang ?' selected':'').'>'.$name.'</option>';
	}
	
return $html;
}


function  getFrTypeList($type)	{
	
	$selected = strtolower($type);
	
	$frTypes = array(
		"individual"=>"Individual",
		"company"=>"Company",
		"trademark"=>"Trademark owner",
		"association"=>"Association",
		"other"=>"Other",
	);
	
	$html = '';
	
	foreach($frTypes as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
	
return $html;
}

function  getReTypeList($type)	{
	
	$selected = strtolower($type);
	
	$frTypes = array(
		"company"=>"Company",
		"trademark"=>"Trademark owner",
		"association"=>"Association",
		"other"=>"Other",
	);
	
	$html = '';
	
	foreach($frTypes as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
	
return $html;
}


function getFrRestrictedPublication($status)	{
	
	$selected = strtolower($status);
	
	$options = array(
		"0"=>"No",
		"1"=>"Yes",
	);
	
	$html = '';
	
	foreach($options as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
	
return $html;
}

function getItRestrictedPublication($status)	{
	
	$selected = strtolower($status);
	
	$options = array(
		"no"=>"No",
		"yes"=>"Yes",
	);
	
	$html = '';
	
	foreach($options as $code => $name)	{
		$html.='<option value="'.$code.'"'.($code == $selected ?' selected':'').'>'.$name.'</option>';
	}
	
return $html;
}


function getItLegalEntityTypePossibleItems()	{
	return array(
		'1' => '1. Italian and foreign natural persons',
		'2' => '2. Companies/one man companies',
		'3' => '3. Freelance workers/professionals',
		'4' => '4. Non-profit organizations',
		'5' => '5. Public organizations',
		'6' => '6. Other subjects',
		'7' => '7. Foreigners who match 2-6',
	);
}

function getItLegalEntityType($g, $value = 1)	{
	
	$html = '<select name="legalEntityType'.$g.'" id="legalEntityType_'.$g.'" onchange="javascript:dotItChangeEntityType('.$g.');serializDotItExtendedData('.$g.');">';
	
	foreach(getItLegalEntityTypePossibleItems() as $code => $name)	{
		$html.= '<option value="'.$code.'"'.(intval($code) == intval($value) ? ' selected' : '').'>'.$name.'</option>';
	}
	
	$html.='</select>';
	
return $html;
}
function getItLegalEntityTypeName($code)	{
	$item = getItLegalEntityTypePossibleItems();
return isset($item[$code]) ? $item[$code] : '';
}


function getItProviceName($value) {
	$items = getItProviceList();
return isset($items[$value]) ? $items[$value] : $value;
}

function getItProviceInput($value) {
	
	$html = '';
	
	foreach(getItProviceList() as $code => $name)	{
		$html.= '<option value="'.$code.'"'.(strtolower($code) == strtolower($value) ? ' selected' : '').'>'.$name.'</option>';	
	}
	
return $html;
}

function getItProviceList()	{
	return array(
"AG"=>"Agrigento",
"AL"=>"Alessandria",
"AN"=>"Ancona",
"AO"=>"Aosta, Aoste (fr)",
"AR"=>"Arezzo",
"AP"=>"Ascoli Piceno",
"AT"=>"Asti",
"AV"=>"Avellino",
"BA"=>"Bari",
"BT" => "Barletta-Andria-Trani",
"BL"=>"Belluno",
"BN"=>"Benevento",
"BG"=>"Bergamo",
"BI"=>"Biella",
"BO"=>"Bologna",
"BZ"=>"Bolzano, Bozen (de)",
"BS"=>"Brescia",
"BR"=>"Brindisi",
"CA"=>"Cagliari",
"CL"=>"Caltanissetta",
"CB"=>"Campobasso",
"CI"=>"Carbonia-Iglesias",
"CE"=>"Caserta",
"CT"=>"Catania",
"CZ"=>"Catanzaro",
"CH"=>"Chieti",
"CO"=>"Como",
"CS"=>"Cosenza",
"CR"=>"Cremona",
"KR"=>"Crotone",
"CN"=>"Cuneo",
"EN"=>"Enna",
"FM"=>"Fermo",
"FE"=>"Ferrara",
"FI"=>"Firenze",
"FG"=>"Foggia",
"FC"=>"Forli-Cesena",
"FR"=>"Frosinone",
"GE"=>"Genova",
"GO"=>"Gorizia",
"GR"=>"Grosseto",
"IM"=>"Imperia",
"IS"=>"Isernia",
"SP"=>"La Spezia",
"AQ"=>"L'Aquila",
"LT"=>"Latina",
"LE"=>"Lecce",
"LC"=>"Lecco",
"LI"=>"Livorno",
"LO"=>"Lodi",
"LU"=>"Lucca",
"MC"=>"Macerata",
"MN"=>"Mantova",
"MS"=>"Massa-Carrara",
"MT"=>"Matera",
"VS"=>"Medio Campidano",
"ME"=>"Messina",
"MI"=>"Milano",
"MO"=>"Modena",
"MB"=>"Monza e Brianza",    
"NA"=>"Napoli",
"NO"=>"Novara",
"NU"=>"Nuoro",
"OG"=>"Ogliastra",
"OT"=>"Olbia-Tempio",
"OR"=>"Oristano",
"PD"=>"Padova",
"PA"=>"Palermo",
"PR"=>"Parma",
"PV"=>"Pavia",
"PG"=>"Perugia",
"PU"=>"Pesaro e Urbino",    
"PE"=>"Pescara",
"PC"=>"Piacenza",
"PI"=>"Pisa",
"PT"=>"Pistoia",
"PN"=>"Pordenone",
"PZ"=>"Potenza",
"PO"=>"Prato",
"RG"=>"Ragusa",
"RA"=>"Ravenna",
"RC"=>"Reggio Calabria",
"RE"=>"Reggio Emilia",
"RI"=>"Rieti",
"RN"=>"Rimini",
"RM"=>"Roma",
"RO"=>"Rovigo",
"SA"=>"Salerno",
"SS"=>"Sassari",
"SV"=>"Savona",
"SI"=>"Siena",
"SR"=>"Siracusa",
"SO"=>"Sondrio",
"TA"=>"Taranto",
"TE"=>"Teramo",
"TR"=>"Terni",
"TO"=>"Torino",
"TP"=>"Trapani",
"TN"=>"Trento",
"TV"=>"Treviso",
"TS"=>"Trieste",
"UD"=>"Udine",
"VA"=>"Varese",
"VE"=>"Venezia",
"VB"=>"Verbano-Cusio-Ossola",
"VC"=>"Vercelli",
"VR"=>"Verona",
"VV"=>"Vibo Valentia",
"VI"=>"Vicenza",
"VT"=>"Viterbo"	
	);
}

?>