<?php
/*
  AWBS - Advanced Webhost Billing System
  Copyright (c)2008 Total Online Solutions Inc.
  http://www.awbs.com
*/

@set_time_limit(18000);
if(eregi("internetbsv3.php",getenv("SCRIPT_NAME"))){session_unregister("newuid");session_unregister("LoggedIn");exit;}

function internetbs_module_install(){
	/*
	add_module(your_module_name,UNUSED,type,UNUSED,UNUSED,UNUSED,username_field_name,field1_field_type,field1_default_value,password_field_name,
	field2_field_type,field2_default_value,URL_field_name,field3_field_type,field3_default_value,field4_field_name,field4_field_type,field4_default_value,
	Test_mode_field_name,field5_field_type,field5_default_value,UNUSED,LIVE_URL,TEST_URL,module_stability);
	*/
	$res=add_module("internetbs","Internet.bs Corp.","registry","API key","text","testapi","Password","password","testpass","","","","","","","","","","","","","","api.internet.bs","testapi.internet.bs","3");
	return $res;
}

function internetbs_rememailfwd($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'source'      => $params['source'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/EmailForward/Remove', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['response_text'] = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}


function internetbs_remdnsrecord($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'FullRecordName' => $params['FullRecordName'],
		'Type'           => $params['Type'],
		'Value'          => $params['Value'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/DnsRecord/Remove', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['response_text'] = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}


function internetbs_remurlfwd($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'source'      => $params['source'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/UrlForward/Remove', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['response_text'] = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}



function internetbs_adddnsrecord($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'FullRecordName' => $params['FullRecordName'],
		'Type'           => $params['Type'],
		'Value'          => $params['Value'],
	);
	
	if(isset($params['Ttl']))	{
		$commandParams['Ttl'] = $params['Ttl'];	
	}
	
	if(isset($params['Priority']))	{
		$commandParams['Priority'] = $params['Priority'];	
	}
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/DnsRecord/Add', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['response_text'] = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}


function internetbs_addurlfwd($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'source'      => $params['source'],
		'destination' => $params['destination'],
		'isFramed'    => $params['isFramed'],
	);
	
	if(isset($params['siteTitle']))	{
		$commandParams['siteTitle'] = $params['siteTitle'];	
	}
	
	if(isset($params['metaDescription']))	{
		$commandParams['metaDescription'] = $params['metaDescription'];
	}
	
	if(isset($params['metaKeywords']))	{
		$commandParams['metaKeywords'] = $params['metaKeywords'];
	}
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/UrlForward/Add', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['response_text'] = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}


function internetbs_addemailfwd($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'source'      => $params['source'],
		'destination' => $params['destination'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/EmailForward/Add', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['response_text'] = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}

function internetbs_register($params){

		$error = null;
		
		// Get a domain name which have to be registred
		$domainName = $params['domain'];
		$numYears = intval($params['numyears']);
		
		// Step 1. Set a domain name
		$commandParams = array(
			'domain' => $domainName,
		);
		
		// Step 2. Set a registration period
		if(isset($params['numyears']))	{
			$commandParams['period'] = $numYears.'Y';	
		}
		
		// Step 3. Check if NS for command set
		if(isset($params['ns1']))	{
			
			$nsList = array();
			
			// Allow max 4 NS
			for($i=1;$i<4;$i++)	{
				if(isset($params['ns'.$i]) && strlen($params['ns'.$i]))	{
					$nsList[] = $params['ns'.$i]; 
				}
			}
			
			// Check if any NS collected
			if(count($nsList))	{
				$commandParams['ns_list'] = implode(',', $nsList);
			}
		}
		
		// User profile information have tobe used for domain registration
		$profile = $params['profile'];
		
		// Step 4. Add information about contact data
		foreach(array('Registrant','Admin','Technical','Billing') as $contactType)	{
		
			$commandParams[$contactType.'_FirstName']    = $profile['fname'];
			$commandParams[$contactType.'_LastName']     = $profile['lname'];
			$commandParams[$contactType.'_Email']        = $profile['email'];
			$commandParams[$contactType.'_PhoneNumber']  = $profile['phone'];
			$commandParams[$contactType.'_Street']       = $profile['add1'];
			$commandParams[$contactType.'_City']         = $profile['city'];
			$commandParams[$contactType.'_CountryCode']  = $profile['country'];
			$commandParams[$contactType.'_PostalCode']   = $profile['zip'];
			$commandParams[$contactType.'_Language']     = 'en'; // Do not know how to set it from params, so use a en by default
		
			// Add information about streets
			for($i=2; $i<3; $i++)	{
				if($profile['add'.$i])	{
					$commandParams[$contactType.'_Street'.$i] = $profile['add'.$i];
				}
			}
		}
	
	
		// Step 5. Add extended attributes (specific for different domain types)
		$param_array = $params['param_array'];
		
		if(strtolower($params['cTld']) == 'asia')	{
			// Special data for .ASIA domains
			$commandParams['registrant_dotasiacedlocality'] = isset($param_array['nexus2']) ? $param_array['nexus2'] : '';
			$commandParams['registrant_dotasiacedentity']   = isset($param_array['nexus1']) ? $param_array['nexus1'] : '';
			$commandParams['registrant_dotasiacedidform']   = isset($param_array['nexus3']) ? $param_array['nexus3'] : '';
			$commandParams['registrant_dotasiacedidnumber'] = isset($param_array['nexus4']) ? $param_array['nexus4'] : '';
		}
		
		if(strtolower($params['cTld']) == 'eu' || strtolower($params['cTld']) == 'be')	{
			// Special data for .EU domains
			$commandParams['Registrant_Language'] = isset($param_array['nexus2']) ? $param_array['nexus2'] : '';
		}
		
		if(strtolower($params['cTld']) == 'us')	{
			// Special data for .US domains
			$commandParams['Registrant_usnexuscategory'] = isset($param_array['nexus1']) ? strtoupper($param_array['nexus1']) : '';
			$commandParams['Registrant_usnexuscountry']  = isset($param_array['nexus2']) ? strtoupper($param_array['nexus2']) : '';
			$commandParams['registrant_uspurpose']       = isset($param_array['nexus3']) ? strtoupper($param_array['nexus3']) : '';
		}
		
		if(strtolower($params['cTld']) == 'tel')	{
			$commandParams['telhostingaccount']  = trim($param_array['nexus1']);
			$commandParams['telhostingpassword'] = trim($param_array['nexus2']);
		}
		
		if(strtolower($params['cTld']) == 'co.uk' || strtolower($params['cTld']) == 'me.uk' || strtolower($params['cTld']) == 'org.uk')	{
			// Special data for .UK domains
			$commandParams['Registrant_dotukorgtype'] = $param_array['nexus1'];
			$commandParams['Registrant_DotUkRegistrationNumber'] = $param_array['nexus2'];
			$commandParams['Registrant_Organization']  = $param_array['nexus3'];
			$commandParams['Registrant_dotukoptout']    = strtolower($param_array['nexus4']) == 'y' ? 'Y' : 'N';
		}
		
		if(strtolower($params['cTld']) == 'fr' || strtolower($params['cTld']) == 're')	{
			
			$values = explode('|',trim($param_array['nexus1'].$param_array['nexus2'].$param_array['nexus3']));
			
			$dotFrExtendedValues = array(
				'DotFRContactEntityType'                  => $values[0],
				'DotFROtherContactEntity'                 => $values[1],
				'DotFRContactEntityBirthDate'             => $values[2],
				'DotFrContactEntityBirthPlaceCountryCode' => $values[3],
				'DotFRContactEntityBirthCity'             => $values[4],
				'DotFRContactEntityBirthPlacePostalCode'  => $values[5],
				'DotFRContactEntityRestrictedPublication' => $values[6],
				'DotFRContactEntityName'                  => $values[7],
				'DotFRContactEntitySiren'                 => $values[8],
				'DotFRContactEntityTradeMark'             => $values[9],
				'DotFrContactEntityWaldec'                => $values[10],
				'DotFrcontactentityDateOfAssociation'     => $values[11],
				'DotFRContactEntityDateOfPublication'     => $values[12],
				'DotFRContactEntityAnnounceNo'            => $values[13],
				'DotFRContactEntityPageNo'                => $values[14],
				'DotFRContactEntityVat'                   => $values[15],
			);
			
			foreach(array('registrant','admin') as $contactTypeName)	{
				
				foreach($dotFrExtendedValues as $dotFrField => $dotFrValue)	{
						$commandParams[strtolower($contactTypeName.'_'.$dotFrField)] = trim($dotFrValue);	
				}
			}

			
			if('association' == $commandParams['registrant_dotfrcontactentitytype'])	{
				unset($commandParams['registrant_dotfrcontactentitysiren']);
			}
			
			if('other' == $commandParams['registrant_dotfrcontactentitytype'])	{
				if(!strlen(trim($commandParams['registrant_dotfrcontactentitysiren'])))	{
					unset($commandParams['registrant_dotfrcontactentitysiren']);
				}
			}
			
			if('association' == $commandParams['admin_dotfrcontactentitytype'])	{
				unset($commandParams['admin_dotfrcontactentitysiren']);
			}
			
			if('other' == $commandParams['admin_dotfrcontactentitytype'])	{
				if(!strlen(trim($commandParams['admin_dotfrcontactentitysiren'])))	{
					unset($commandParams['admin_dotfrcontactentitysiren']);
				}
			}
			
			
			if(strtolower($params['cTld']) == 'fr')	{
				// Set FR for ADMIN contact
				$commandParams['admin_countrycode']  = 'FR';
			
				if(strtolower($values[0]) == 'individual')	{
					$commandParams['registrant_countrycode']  = 'FR';	
				}
				
			}
			
			if(strtolower($params['cTld']) == 're')	{
				// Set RE as country
				$commandParams['admin_countrycode']  = 'RE';
				$commandParams['registrant_countrycode']  = 'RE';	
			}
		}

		if(strtolower($params['cTld']) == 'it')	{
			
			$commandParams['registrant_dotitterm1'] = 'yes';
			$commandParams['registrant_dotitterm2'] = 'yes';
			$commandParams['registrant_dotitterm3'] = 'yes';
			$commandParams['registrant_dotitterm4'] = 'yes';
				
			$dotItParams = explode('|',  urldecode($param_array['nexus3']));
				
			$commandParams['registrant_clientip'] = $dotItParams[3];
			$commandParams['registrant_dotitentitytype'] = $dotItParams[1];
			$commandParams['registrant_dotitregcode'] = trim($param_array['nexus2']);
			
			$commandParams['registrant_organization'] = isset($profile['org']) ? trim($profile['org']) : '';
			$commandParams['registrant_dotitprovince'] = (strtoupper($profile['country']) == 'IT') ? $dotItParams[2] : $profile['state'];
			$commandParams['admin_dotitprovince'] = (strtoupper($profile['country']) == 'IT') ? $dotItParams[2] : $profile['state'];
			$commandParams['registrant_dotitnationality'] = $dotItParams[0];
			
			// Add province code for .IT tech contact
			$commandParams['technical_dotitprovince']=$commandParams['admin_dotitprovince'];
			
			// For Foreigners Nationality and country code must be the same
			if($commandParams['registrant_dotitentitytype'] == 7)	{
				$commandParams['registrant_countrycode'] = $commandParams['registrant_dotitnationality']; 
			}
		}
		
		
		// Step 6. Execute API command
		if((($result = _internetbs_executeApiCommand('Domain/Create', $commandParams, $params, $error)) === false) || !is_array($result)) {
			$error = is_null($error) ? 'Unkonown error' : $error;
		} else if(!isset($result['price']))	{
			$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
		}
		
		$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
		
		$return = array(
			'rawout'       =>  $rawOut,
			'queue_return' =>  $rawOut,
		);
		
		// Step 7. Check if some error happen
		if(!is_null($error) && strlen($error))	{
			// Some error happen
			$return['status']       = '2';
			$return['queue_return'] = htmlentities($rawOut);
		} else {
			
			$expDate = null;
			
			// Search for domain expiration date
			foreach($result as $fieldName => $fieldValue)	{
				
				// check if we find a field with expiration date
				if(preg_match('/\_expiration$/i', $fieldName))	{
					$expDate = _internetbs_expDate2UnixTimeFormat($fieldValue);
					break;
				}
			}
			
			// Check if we was not able to parse a registry expiration date
			if(is_null($expDate))	{
				// For some reason we was not able to get a new expiration date from API response then we will calculate it based on current time + amount of years
				$expDate = strtotime("+".$numYears." year");
			}
			
			// No error happen
			$return['status'] = '1';
			$return['transactionid'] = $result['transactid'];
			//you will need to parse and return expiredate in unixtime format
			$return['expiredate'] = $expDate;
		}
		
	return $return;
}


function internetbs_transfer($params){
	
		$error = null;
		
		// Get a domain name which have to be registred
		$domainName = $params['domain'];
		$numYears = intval($params['numyears']);
		
		// Step 1. Set a domain name
		$commandParams = array(
			'domain' => $domainName,
		);

		// Step 2. Set epp key
		$commandParams['transferAuthInfo'] = $params['param_array']['eppkey'];
		
		
		// Step 3. Check if NS for command set
		if(isset($params['ns1']))	{
			
			$nsList = array();
			
			// Allow max 4 NS
			for($i=1;$i<4;$i++)	{
				if(isset($params['ns'.$i]) && strlen($params['ns'.$i]))	{
					$nsList[] = $params['ns'.$i]; 
				}
			}
			
			// Check if any NS collected
			if(count($nsList))	{
				$commandParams['ns_list'] = implode(',', $nsList);
			}
		}
		
		// User profile information have tobe used for domain registration
		$profile = $params['profile'];
		
		// Step 4. Add information about contact data
		foreach(array('Registrant','Admin','Technical','Billing') as $contactType)	{
		
			$commandParams[$contactType.'_FirstName']    = $profile['fname'];
			$commandParams[$contactType.'_LastName']     = $profile['lname'];
			$commandParams[$contactType.'_Email']        = $profile['email'];
			$commandParams[$contactType.'_PhoneNumber']  = $profile['phone'];
			$commandParams[$contactType.'_Street']       = $profile['add1'];
			$commandParams[$contactType.'_City']         = $profile['city'];
			$commandParams[$contactType.'_CountryCode']  = $profile['country'];
			$commandParams[$contactType.'_PostalCode']   = $profile['zip'];
			$commandParams[$contactType.'_Language']     = 'en'; // Do not know how to set it from params, so use a en by default
		
			// Add information about streets
			for($i=2; $i<3; $i++)	{
				if($profile['add'.$i])	{
					$commandParams[$contactType.'_Street'.$i] = $profile['add'.$i];
				}
			}
		}
	
	
		// Step 5. Add extended attributes (specific for different domain types)
		$param_array = $params['param_array'];
		
		if(strtolower($params['cTld']) == 'asia')	{
			// Special data for .ASIA domains
			$commandParams['registrant_dotasiacedlocality'] = isset($param_array['nexus2']) ? $param_array['nexus2'] : '';
			$commandParams['registrant_dotasiacedentity']   = isset($param_array['nexus1']) ? $param_array['nexus1'] : '';
			$commandParams['registrant_dotasiacedidform']   = isset($param_array['nexus3']) ? $param_array['nexus3'] : '';
			$commandParams['registrant_dotasiacedidnumber'] = isset($param_array['nexus4']) ? $param_array['nexus4'] : '';
		}
		
		if(strtolower($params['cTld']) == 'us')	{
			// Special data for .US domains
			$commandParams['Registrant_usnexuscategory'] = isset($param_array['nexus1']) ? strtoupper($param_array['nexus1']) : '';
			$commandParams['Registrant_usnexuscountry']  = isset($param_array['nexus2']) ? strtoupper($param_array['nexus2']) : '';
			$commandParams['registrant_uspurpose']       = isset($param_array['nexus3']) ? strtoupper($param_array['nexus3']) : '';
		}
		
		if(strtolower($params['cTld']) == 'tel')	{
			$commandParams['telhostingaccount']  = trim($param_array['nexus1']);
			$commandParams['telhostingpassword'] = trim($param_array['nexus2']);
		}
		
		if(strtolower($params['cTld']) == 'fr' || strtolower($params['cTld']) == 're')	{
			
			$values = explode('|',trim($param_array['nexus1'].$param_array['nexus2'].$param_array['nexus3']));
			
			$dotFrExtendedValues = array(
				'DotFRContactEntityType'                  => $values[0],
				'DotFROtherContactEntity'                 => $values[1],
				'DotFRContactEntityBirthDate'             => $values[2],
				'DotFrContactEntityBirthPlaceCountryCode' => $values[3],
				'DotFRContactEntityBirthCity'             => $values[4],
				'DotFRContactEntityBirthPlacePostalCode'  => $values[5],
				'DotFRContactEntityRestrictedPublication' => $values[6],
				'DotFRContactEntityName'                  => $values[7],
				'DotFRContactEntitySiren'                 => $values[8],
				'DotFRContactEntityTradeMark'             => $values[9],
				'DotFrContactEntityWaldec'                => $values[10],
				'DotFrcontactentityDateOfAssociation'     => $values[11],
				'DotFRContactEntityDateOfPublication'     => $values[12],
				'DotFRContactEntityAnnounceNo'            => $values[13],
				'DotFRContactEntityPageNo'                => $values[14],
				'DotFRContactEntityVat'                   => $values[15],
			);
			
			foreach(array('admin') as $contactTypeName)	{
				
				foreach($dotFrExtendedValues as $dotFrField => $dotFrValue)	{
						$commandParams[strtolower($contactTypeName.'_'.$dotFrField)] = trim($dotFrValue);	
				}
			}

			
			if('association' == $commandParams['registrant_dotfrcontactentitytype'])	{
				unset($commandParams['registrant_dotfrcontactentitysiren']);
			}
			
			if('other' == $commandParams['registrant_dotfrcontactentitytype'])	{
				if(!strlen(trim($commandParams['registrant_dotfrcontactentitysiren'])))	{
					unset($commandParams['registrant_dotfrcontactentitysiren']);
				}
			}
			
			if('association' == $commandParams['admin_dotfrcontactentitytype'])	{
				unset($commandParams['admin_dotfrcontactentitysiren']);
			}
			
			if('other' == $commandParams['admin_dotfrcontactentitytype'])	{
				if(!strlen(trim($commandParams['admin_dotfrcontactentitysiren'])))	{
					unset($commandParams['admin_dotfrcontactentitysiren']);
				}
			}
			
			
			if(strtolower($params['cTld']) == 'fr')	{
				// Set FR for ADMIN contact
				$commandParams['admin_countrycode']  = 'FR';
			
				if(strtolower($values[0]) == 'individual')	{
					$commandParams['registrant_countrycode']  = 'FR';	
				}
				
			}
			
			if(strtolower($params['cTld']) == 're')	{
				// Set RE as country
				$commandParams['admin_countrycode']  = 'RE';
				$commandParams['registrant_countrycode']  = 'RE';	
			}
		}

		if(strtolower($params['cTld']) == 'it')	{
			
			$commandParams['registrant_dotitterm1'] = 'yes';
			$commandParams['registrant_dotitterm2'] = 'yes';
			$commandParams['registrant_dotitterm3'] = 'yes';
			$commandParams['registrant_dotitterm4'] = 'yes';
				
			$dotItParams = explode('|',  urldecode($param_array['nexus3']));
				
			$commandParams['registrant_clientip'] = $dotItParams[3];
			$commandParams['registrant_dotitentitytype'] = $dotItParams[1];
			$commandParams['registrant_dotitregcode'] = trim($param_array['nexus2']);
			
			$commandParams['registrant_organization'] = isset($profile['org']) ? trim($profile['org']) : '';
			$commandParams['registrant_dotitprovince'] = (strtoupper($profile['country']) == 'IT') && strlen(trim($dotItParams[2])) ? $dotItParams[2] : $profile['state'];
			$commandParams['admin_dotitprovince'] = (strtoupper($profile['country']) == 'IT') && strlen(trim($dotItParams[2]))? $dotItParams[2] : $profile['state'];
			
			$commandParams['registrant_dotitnationality'] = $dotItParams[0];
			
			// Add province code for .IT tech contact
			$commandParams['technical_dotitprovince']=$commandParams['admin_dotitprovince'];
			
			// For Foreigners Nationality and country code must be the same
			if($commandParams['registrant_dotitentitytype'] == 7)	{
				$commandParams['registrant_countrycode'] = $commandParams['registrant_dotitnationality']; 
			}
		}		
		
		
		// Step 6. Execute API command
		if((($result = _internetbs_executeApiCommand('/Domain/Transfer/Initiate', $commandParams, $params, $error)) === false) || !is_array($result)) {
			$error = is_null($error) ? 'Unkonown error' : $error;
		} else if(!isset($result['price']))	{
			$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
		}
		
		$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
		
		$return = array(
			'rawout'       =>  $rawOut,
			'queue_return' =>  $rawOut,
		);
		
		// Step 7. Check if some error happen
		if(!is_null($error) && strlen($error))	{
			// Some error happen
			$return['status']       = '2';
			$return['queue_return'] = htmlentities($rawOut);
		} else {
			// No error happen
			$return['status'] = '1';
			$return['transactionid'] = $result['transactid'];
		}
		
	return $return;
}

function internetbs_transferstatus($params){
	//check if transfer is complete
	global $queue_debug_mode;
	$commandParams = array(
		'domain' => $params["realdomain"].".".$params["cTld"],
	);
	$result = _internetbs_executeApiCommand('/Domain/Info', $commandParams, $params, $error);
	$rawOut = $result && isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
        $return = array(
                'rawout'       =>  $rawOut,
                'queue_return' =>  $rawOut,
        );
	
        if(($result === false) || !is_array($result)) {
            //error
            $return['status'] = '2';
            $return['tstatus']=false;

        } else {
                if(isset($result["domainstatus"]) && !in_array(strtolower($result["domainstatus"]),array('pending transfer','pending trade'))){
                    //transfer completed
                    $return['status'] = '1';
                    $return['tstatus']="TRANSFER_SUCCESSFUL";
                } else if(intval($result["code"])==100005){
                    //transfer failed
                    $return['status'] = '1';
                    $return['tstatus']="TRANSFER_FAILED"; //failed
                } else {
                    //some other error
                    $return['status'] = '2';
                    $return['tstatus']=false;
                }
                    

        }
	return $return;
}


function internetbs_renew($params){
	
	$error = null;
	
	// Step 1. Set a domain name and renewal period if possible
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
	if(isset($params["numyears"]))	{
		$commandParams['period'] = $params["numyears"].'Y'; 
	}
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Renew', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!isset($result['price']))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status'] = '2';
		$return['queue_return'] = $rawOut;
		$return['rawout'] = $rawOut;
		
	} else {
		
		$expiredate = null;

		// Search for domain new expiration date
		foreach($result as $fieldName => $fieldValue)	{
				
			// check if we find a field with expiration date
			if(preg_match('/\_newexpiration$/i', $fieldName))	{
				$expiredate = _internetbs_expDate2UnixTimeFormat($fieldValue);
				break;
			}
		}
		
		// Command success executed
		$return['status'] = '1';
		$return['transactionid'] = $result['transactid'];
		$return['expiredate']   = $expiredate;
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}

function internetbs_lockdomain($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/RegistrarLock/Enable', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']       = 1;
		$return['response_text'] = 'Error: '.$error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
                $return['status']        = 2;
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}

function internetbs_unlockdomain($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/RegistrarLock/Disable', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']       = '1';
		$return['response_text'] = 'Error: '.$error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']        = '2';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}

function internetbs_getemailfwdlist($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/EmailForward/List', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && _internetbs_isEqStrings($result['status'], 'SUCCESS')))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['expiredate']   = (isset($result['expirationdate']) && !is_null($expDate = _internetbs_expDate2UnixTimeFormat($result['expirationdate']))) ? $expDate : 0; // Domain expiration date in UnixTime format
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
		$return['api']          = $result;
	}
	
	return $return;
}



function internetbs_getdnsrecordlist($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/DnsRecord/List', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && _internetbs_isEqStrings($result['status'], 'SUCCESS')))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['expiredate']   = (isset($result['expirationdate']) && !is_null($expDate = _internetbs_expDate2UnixTimeFormat($result['expirationdate']))) ? $expDate : 0; // Domain expiration date in UnixTime format
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
		$return['api']          = $result;
	}
	
	return $return;
}


function internetbs_geturlfwdlist($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/UrlForward/List', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && _internetbs_isEqStrings($result['status'], 'SUCCESS')))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['expiredate']   = (isset($result['expirationdate']) && !is_null($expDate = _internetbs_expDate2UnixTimeFormat($result['expirationdate']))) ? $expDate : 0; // Domain expiration date in UnixTime format
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
		$return['api']          = $result;
	}
	
	return $return;
}


function internetbs_getinfo($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Info', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && _internetbs_isEqStrings($result['status'], 'SUCCESS')))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['expiredate']   = (isset($result['expirationdate']) && !is_null($expDate = _internetbs_expDate2UnixTimeFormat($result['expirationdate']))) ? $expDate : 0; // Domain expiration date in UnixTime format
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
		$return['api']          = $result;
	}
	
	return $return;
}

function internetbs_isdomainallowupdate($params){
	
	$currentStatus = internetbs_getdomainstatus($params);
	
	$registryStatuses = array();

	// Get current list of all collected statuses
	if(isset($currentStatus['api']))	{
		for($i=0;isset($currentStatus['api']["registrystatus_".$i]);$i++)	{
			$registryStatuses[] = strtolower(trim($currentStatus['api']["registrystatus_".$i]));
		}
	}

	$statusesNotAllowUpdate = array('clientUpdateProhibited','serverUpdateProhibited','pendingDelete');

	foreach($statusesNotAllowUpdate as $statusNotAllowUpdate)	{
		if(in_array(strtolower(trim($statusNotAllowUpdate)), $registryStatuses))	{
			return false;
		}	
	}
return true;	
}


function internetbs_getdomainstatus($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/RegistryStatus', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && _internetbs_isEqStrings($result['status'], 'SUCCESS')))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['expiredate']   = (isset($result['expirationdate']) && !is_null($expDate = _internetbs_expDate2UnixTimeFormat($result['expirationdate']))) ? $expDate : 0; // Domain expiration date in UnixTime format
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
		$return['api']          = $result;
	}
	
	return $return;
}


function internetbs_getexp($params){
	// Do the same what we do in domain info
	return internetbs_getinfo($params);
}


function internetbs_updatecontacts($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'domain' => $params['domain'],
	);

	// Step 2. Add information about all contacts details
	if(isset($params['domaincontacts']) && is_array($params['domaincontacts']))	{
		foreach($params['domaincontacts'] as $paramName => $paramValue)	{
			$commandParams[$paramName] = $paramValue;
		}
	}
	
	
 	// Try to update domain contacts with given values
	if(($result = _internetbs_executeApiCommand('Domain/Update', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}
	
	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = 2;
		$return['error']         = $error;
	} else {
		// Command success executed
		$return['status']       = 1;
	}
	
	return $return;
}

function internetbs_privatewhois($params){

	// Step 1. Set a domain name and NS list
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
	// Check if 
	if($params['mode'] == 'disable')	{
		
		$cmdName = 'Domain/PrivateWhois/Disable';
		
	} else {
		$cmdName = 'Domain/PrivateWhois/Enable';
		
		if($params['mode'] == 'partial')	{
			$commandParams['type'] = 'PARTIAL';
		}
	}
	
	// Step 2. Execute a API command to change private whois status
 	
	if(($result = _internetbs_executeApiCommand($cmdName, $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}
	
	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status']        = '1';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '2';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}

function internetbs_updatens($params){
	
	$error = null;
	
	// Step 1. Set a domain name and NS list
	$commandParams = array(
		'domain' => $params['domain'],
	);
	
	$isIpAddressProvided = false;
	
	$nsList = array();
	for($i=0;$i<12;$i++)	{
		if(isset($params['ns'.$i]))	{
			
			$nsParts = explode(':',trim($params['ns'.$i]));
			
			$nsHostName = isset($nsParts[count($nsParts)-1]) ? $nsParts[count($nsParts)-1] : '';
			$ipAddress  = isset($nsParts[count($nsParts)-2]) ? $nsParts[count($nsParts)-2] : '';
			
			$isIpAddressProvided = $isIpAddressProvided || strlen($ipAddress) > 0;
			
			if(strlen($ns = trim($nsHostName.' '.$ipAddress)))	{
				$nsList[] = $ns;
			}
		}		
	}
	
	$commandParams['ns_list'] = trim(implode(',', $nsList),',');
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Update', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$rawOut = isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --';
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		
		// If user provide some IP and error happen, it can happen because some IP is not fine from registry point of view
		if($isIpAddressProvided)	{
			$error = 'Invalid host name or IP address!';
		} else {
			$error = 'Invalid host name!';
		}
		
		// Some error happen
		$return['status']        = '2';
		$return['error']         = $error;
		$return['queue_return']  = $rawOut;
		$return['rawout']        = $rawOut;
		
	} else {
		// Command success executed
		$return['status']       = '1';
		$return['queue_return'] = $rawOut;
		$return['rawout']       = $rawOut;
	}
	
	return $return;
}


/**
 * Test if plugin correct config to process API operations
 * 
 * @param $params
 */
function internetbs_testconn($params){
	
 	// Get information about domain
	if(($result = _internetbs_executeApiCommand('Account/Balance/Get', array(), $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done
	if(!(isset($result['status']) && _internetbs_isEqStrings($result['status'], 'SUCCESS')))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$return = array();
	
	$rawOut = (isset($result['#responce']) ? htmlentities($result['#responce']) : '-- NO RESPONSE --').' Error: '.htmlentities($error);
	
	// Check if some error happen during simple API query execution
	if(is_null($error) || strlen($error))	{
		// Some error happen
		$return['status']        = '2';
		$return['queue_return']  = $rawOut;
		
	} else {
		// Done success
		$return['rawout'] = $rawOut;
		$return['status'] = '1';
		$return['code'] = '1000';
	}

	return $return;
}

/**
 * Check NS status return information about NS
 * 
 * @param $params
 * @return unknown_type
 */
function internetbs_checkns($params){
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'host' => $params['nsname'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Host/Info', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status'] = '2';
		$return['error']  = $error;
	} else {
		// Command success executed
		$return['status'] = '1';
		$return['host']   = $params['nsname'];
		
		$return['ipList'] = array();
		
		foreach($result as $fieldName => $fieldValue)	{
			if(preg_match('/^ip_[0-9]+$/i', $fieldName))	{
				$return['ipList'][] = $fieldValue;
			}
		}
	}
return $return;
}


/**
 * Method have to know how to delete a NS
 * @param $params
 * @return unknown_type
 */
function internetbs_delns($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'host' => $params['nsname'],
	);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Host/Delete', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status'] = '2';
		$return['error']  = $error;
	} else {
		// Command success executed
		$return['status'] = '1';
	}
return $return;
}


/**
 * Method have to know how to delete a NS
 * @param $params
 * @return unknown_type
 */
function internetbs_addns($params){
	
	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'host' => $params['nsname'],
	);
	
	$inputIpList = explode(',', $params['nsip']);
	$ipList = array();
	
	foreach($inputIpList as $ip)	{
		$ipList[] = trim($ip);
	}
	
	$commandParams['ip_list'] = implode(',', $ipList);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Host/Create', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status'] = '2';
		$return['error']  = $error;
	} else {
		// Command success executed
		$return['status'] = '1';
	}
return $return;
}

/**
 * Method have to know how to update a NS
 * @param $params
 * @return unknown_type
 */
function internetbs_modns($params){

	$error = null;
	
	// Step 1. Set a domain name
	$commandParams = array(
		'host' => $params['nsname'],
	);
	
	$inputIpList = explode(',', $params['nsip']);
	$ipList = array();
	
	foreach($inputIpList as $ip)	{
		$ipList[] = trim($ip);
	}
	
	$commandParams['ip_list'] = implode(',', $ipList);
	
 	
	if(($result = _internetbs_executeApiCommand('Domain/Host/Update', $commandParams, $params, $error)) === false || !is_array($result)) {
		$error = is_null($error) ? 'Unkonown error' : $error;
	}

	// Check if operation success done 
	if(!(isset($result['status']) && (_internetbs_isEqStrings($result['status'], 'SUCCESS') || _internetbs_isEqStrings($result['status'], 'PENDING'))))	{
		$error = isset($result['message']) ? $result['message'] : 'Unkonown error';
	}
	
	$return = array();
	
	// Check if some error happen during request processing
	if(!is_null($error) && strlen($error))	{
		// Some error happen
		$return['status'] = '2';
		$return['error']  = $error;
	} else {
		// Command success executed
		$return['status'] = '1';
	}
return $return;	
}





function _internetbs_executeApiCommand($commandCode, $params, $pluginParams, &$errorMessage)	{
	
	$registrarConfig = $pluginParams['this_registrar_config'];
	
	// Set a common params for each API command (login,password,format)
	$params['apikey']         = $registrarConfig['username']; 
 	$params['password']       = $registrarConfig['password']; 
	$params['responseformat'] = 'TEXT';
	
	// Check if need to execute in test mode
	$isTestMode  = isset($registrarConfig['test']) && ($registrarConfig['test'] == 1); 
	$apiHost     = 'https://'.trim($registrarConfig[$isTestMode ? 'turl' : 'url'], '/');
	$commandCode = trim($commandCode, '/');
	
	// Check if we need to write a debug log information
	if(_internetbs_isDebug())	{
		$logMsg = "\nExecuting [".$apiHost.'/'.$commandCode."]:\n=========================================================\n";
		$logMsg.="Comamnd params:\n".var_export($params,true);
		$logMsg.="\n\nPlugin params:\n".var_export($pluginParams,true);
		_internetbs_debugLog($logMsg);
	}
	
return _internetbs_runCommand($apiHost.'/'.$commandCode,$params,$errorMessage);
}


/**
 * runs an api command and returns parsed data
 *
 * @param string $commandUrl
 * @param array $postData
 * @param string $errorMessage if cannot connect to server
 * @return array
 */
function _internetbs_runCommand($commandUrl, $postData, &$errorMessage) {
		
	// Always get result in text format 
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $commandUrl);

	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_USERAGENT, "Internet.bs AWBS plugin V2.3.8");
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_POST, 1);

	curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
	

	$data = curl_exec($ch);
	$errorMessage = curl_error($ch);

	curl_close($ch);
	
	// Write log information about API output
	if(_internetbs_isDebug())	{
		$logMsg = "\nURL: ".$commandUrl."\n";
		$logMsg.= $data."\n(Data len:".strlen($data).")\n\n";
		_internetbs_debugLog($logMsg);
	}

return (($data===false) ? false : _internetbs_parseResult($data));
}
	
function _internetbs_parseResult($data) {
		
	$lines = explode("\n", $data);
	$result = array();
		
	foreach($lines as $line)	{
		list($varName, $value) = explode("=",$line,2);
		$result[strtolower(trim($varName))] = trim($value);
	}
		
	$result['#responce'] = $data;
	
	
return $result;
}
	
function _internetbs_isEqStrings($str1,$str2)	{
	return strtolower(trim($str1)) == strtolower(trim($str2));	
}

function _internetbs_isDebug()	{
	return (false);	
}

function _internetbs_debugLog($data)	{
	$fName = '/tmp/awbs_debug_log.txt';
	file_put_contents($fName, "\n\n".$data."\n\n\n", FILE_APPEND);
}


function _internetbs_expDate2UnixTimeFormat($expDate)	{
	
	$unixTime = null;
	// Extract year, month, day
	if(preg_match ('/^([0-9]{4})[^0-9]*([0-9]{1,2})[^0-9]*([0-9]{1,2})/i', $expDate, $matches) && isset($matches[1]) && isset($matches[2]) && isset($matches[3]))	{
		$year  = intval($matches[1]);
		$month = intval($matches[2]);
		$day   = intval($matches[3]);
		// Build a unix time formated date
		$unixTime = mktime(0, 0, 0, $month, $day, $year);
	}
	
return $unixTime;
}


?>