<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>.IT terms and conditions</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="en-us" />
<link rel="stylesheet" type="text/css" href="templates/default/css/popups/pop.css" />
</head>
<body>
<h1>.IT terms and conditions</h1>
<table class="width-75 data alc">

	<tr><td class="tablehead">Registration Form</td></tr>

	<tr><td class="tablehead">Declarations and assumptions of liability</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">The Registrant of the domain name in question, declares under their own responsibility that they are:</p>
		<div style="text-align:justify;padding-left:25px">
			<p><b>a)</b> in possession of the citizenship or resident in a country belonging to the European Union (in the case of registration for natural persons);</p>
			<p><b>b)</b> established in a country belonging to the European Union (in the case of registration for other organizations);</p>

			<p><b>c)</b> aware and accept that the registration and management of a domain name is subject to the "Rules of assignment and management of domain names in ccTLD. it" and "Regulations for the resolution of disputes in the ccTLD.it" and their subsequent amendments;</p>
			<p><b>d)</b> entitled to the use and/or legal availability of the domain name applied for, and that they do not prejudice, with the request for registration, the rights of others; </p>
			<p><b>e)</b> aware that for the inclusion of personal data in the Database of assigned domain names, and their possible dissemination and accessibility via the Internet, consent must be given explicitly by ticking the appropriate boxes in the information below. See "The policy of the .it Registry in the Whois Database" on the website of the Registry (<a href="http://www.nic.it" target="_blank">http://www.nic.it</a>);</p>

			<p><b>f)</b> aware and agree that in the case of erroneous or false declarations in this request, the Registry shall immediately revoke the domain name, or proceed with other legal actions. In such case the revocation shall not in any way give rise to claims against the Registry;</p>
			<p><b>g)</b> release the Registry from any liability resulting from the assignment and use of the domain name by the natural person that has made the request;</p>
			<p><b>h)</b> accept Italian jurisdiction and laws of the Italian State.</p>
		</div>
	</td></tr>
    
	<tr><td class="tablehead">Information and acquisition of consent for the processing of data for the registration of the domain name and for visibility on the Internet</td></tr>
	<tr><td class="p-15 vlm">		<p align="justify">Disclosure regarding the protection of personal data (D. Lgs. 30 June 2003, No. 196, Art. 13) To carry out activities to which the present disclosure relates:</p>
		<div style="text-align:justify;padding-left:25px">
			<p><b>a)</b> the holder of the treatment of data is the Italian National Research Council, through the Institute of Informatics and Telematics of the CNR,.it Registry (<a href="http://www.nic.it" target="_blank">http://www.nic.it</a>);</p>
			<p><b>b)</b> the Registrar is responsible for processing the data and manages contractual relations with the Registrant, the identification data are contained in the contract between the said Registrar and the Registrant, and therefore known by the party concerned. A list of those responsible for processing data is available on the website of the Registry (<a href="http://www.nic.it" target="_blank">http://www.nic.it</a>). The Registrar is the holder of the treatment of data with regard to contractual relations directly with the Registrant, not included in this disclosure;</p> 
			<p><b>c)</b> the mandatory information is that information that is essential in order for the service requested to be provided.</p>

		</div>
		<p align="justify">The Registrant's personal data are collected by the Registrar who manages contractual relations with the Registrant using this form, in order to register and manage the domain name in the Data Base of Assigned Names at the Institute of Information and Telematics of the CNR, .it Registry.</p>
		<p align="justify">done electronically, the IP address from which the connection originates on the Internet relating to filling in the online form by the Registrant will also be detected and stored along with the log of the relative transaction. This is done in order to identify the Registrant in connection with the personal information and statements given by the Registrant. Personal data, the above-mentioned IP address and the log of the transaction are mandatory information.</p>
		<p align="justify">The mandatory information collected will be treated for purposes of administrative and accounting management, protection of rights and other objectives and activities related to registration, management, dispute, transfer and cancellation of the domain name, and for compliance with requirements of the law, regulations or EU legislation and disclosed to third parties for ancillary or necessary activities to ensure the accomplishment of those objectives. The data will not be used nor disclosed to third parties for any marketing purposes. With the exception of the IP address, the data will also be communicated to third parties who purport to want to act to protect individual rights in relation to the Registrant in connection with the registration or use of the domain name. In accordance with the standards of the Internet Engineering Task Force - IETF (<a href="http://www.ietf.org" target="_blank">http://www.ietf.org</a>) to ensure the accessibility of the domain name on the Internet, in order to maintain the balance for the system, and in consideration of the policy of the Registry of the ccTLD .it in order to avoid situations of anonymity and to allow the tracing of assignees, in the case of registration the following information will in any case will be visible on the Internet, through a Whois query: domain name, name and surname of the Registrant or the corporate name, status of the domain, Registrar and technical data (contactID, date of registration, expiry date, date  of last update and nameserver).</p>
		<p align="justify">For the purposes of this disclosure, the consent to treatment for the purposes of registration refers to all these activities taken as a whole. Giving consent for the purposes of registration is optional, but if no consent is given, it will not be possible to finalize the registration, assignment and management of the domain name.</p>
		<p align="justify">Upon a separate agreement, via a Whois query the following will also be visible via the Internet: domain name, address of residence or head office of the Registrant along with their telephone number, fax number and e-mail address.</p> 
		<p align="justify">For the purposes of this disclosure, the consent for access and dissemination via the Internet is only for the latter activities and types of data.</p>

		<p align="justify">Giving consent for accessibility and dissemination via the Internet is optional. Not giving consent does not preclude the registration but only public visibility via Whois queries of these data, within the limits defined above.</p>
		<p align="justify">More information on how to query the Registry Database is available on the website of the Registry: www.nic.it.</p>
		<p align="justify">The interested party can exercise their rights under Art. 7 of the Code for the protection of personal data which include the right of access, rectification and deletion of data.</p>
		<p align="justify">These rights may be exercised by request to the Registrar who manages the contractual relationship with the Registrant and subordinate to the Institute of Informatics and Telematics of CNR, Via Giuseppe Moruzzi, 1, I-56124 Pisa, Italy.</p>
	</td></tr>

	<tr><td class="tablehead">Consent to the processing of personal data for registration</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">The interested party, after reading the above disclosure, gives consent to the processing of information required for registration, as defined in the above disclosure.</p>

		<p align="justify">Giving consent is optional, but if no consent is given, it will not be possible to finalize the registration, assignment and management of the domain name.</p>
	</td></tr>

	<tr><td class="tablehead">Consent to the processing of personal data for diffusion and accessibility via the Internet</td></tr>
	<tr><td class="p-15 vlm">		<p align="justify">The interested party, after reading the above disclosure, gives consent to the dissemination and accessibility via the Internet, as defined in the disclosure above.</p>
		<p align="justify">Giving consent is optional, but absence of consent does not allow the dissemination and accessibility of Internet data.</p>
	</td></tr>

	<tr><td class="tablehead">Explicit Acceptance of the following points</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">For explicit acceptance, the interested party declares that they:</p>
		<div style="text-align:justify;padding-left:25px">
			<p><b>c)</b> are aware and agree that the registration and management of a domain name is subject to the "Rules of assignment and management of domain names in ccTLD.it" and "Regulations for the resolution of disputes in the ccTLD.it "and their subsequent amendments;</p>
			<p><b>f)</b> are aware and agree that in the case of erroneous or false declarations in this request, the Registry shall immediately revoke the domain name, or proceed with other legal actions. In such case the revocation shall not in any way give rise to claims against the Registry;</p>

			<p><b>g)</b> release the Registry from any liability resulting from the assignment and use of the domain name by the natural person that has made the request;</p> 
			<p><b>h)</b> accept the Italian jurisdiction and laws of the Italian State.</p>
		</div>
	</td></tr>
    
</table>
</body>
</html>