<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>.IT Condizioni generali</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="en-us" />
<link rel="stylesheet" type="text/css" href="templates/default/css/popups/pop.css" />
</head>
<body>
<h1>.IT Condizioni generali</h1>
<table class="width-75 data alc">

	<tr><td class="tablehead">Modulo di registrazione</td></tr>

	<tr><td class="tablehead">Dichiarazioni e assunzioni di responsabilità</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">Il registrante del nome a dominio in oggetto, in particolare dichiara sotto la propria responsabilità:</p>
		<div style="text-align:justify;padding-left:25px">
			<p><b>a)</b> di essere in possesso della cittadinanza o residente in uno dei paesi appartenenti all’Unione Europea (in caso di registrazione per persona fisica);</p>
			<p><b>b)</b> di essere stabilito in uno dei paesi appartenenti all’Unione Europea (in caso di registrazione per altra organizzazione);</p>

			<p><b>c)</b> di essere a conoscenza e di accettare che la registrazione e gestione di un nome a dominio sono soggette al “Regolamento di assegnazione e gestione dei nomi a dominio nel ccTLD .it” e al “Regolamento per la risoluzione delle dispute nel ccTLD.it” e loro successive modifiche;</p>
			<p><b>d)</b> di avere titolo all’uso e/o disponibilità giuridica del nome a dominio richiesto e di non ledere, con tale richiesta di registrazione, diritti di terzi;</p>
			<p><b>e)</b> di essere a conoscenza che ai fini dell’inserimento dei dati personali nel database dei nomi a dominio assegnati, e alla loro eventuale diffusione e accessibilità via Internet, occorre fornire espressamente il consenso barrando le apposite caselle sulla base dell’informativa che segue. Sul sito del Registro (<a href="http://www.nic.it" target="_blank">http://www.nic.it</a>) è consultabile il documento “La politica del Registro .it sul database Whois”;</p>

			<p><b>f)</b> di essere a conoscenza e di accettare che in caso di erronea o falsa dichiarazione nella presente richiesta, il Registro provvederà alla immediata revoca del nome a dominio, salvo ogni più ampia azione legale. In tal caso la revoca non potrà in alcun modo dare luogo a richieste di risarcimento nei confronti del Registro;</p>
			<p><b>g)</b> di sollevare il Registro da qualsiasi responsabilità derivante dalla assegnazione e dall’utilizzo del nome a dominio da parte del richiedente;</p>
			<p><b>h)</b> di accettare la giurisdizione italiana e le leggi dell’Ordinamento Statale Italiano.</p>
		</div>
	</td></tr>
    
	<tr><td class="tablehead">Informativa e acquisizione del consenso ai fini del trattamento del dato per la registrazione del nome a dominio e per la visibilità in Internet</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">Informativa ai sensi del Codice in materia di protezione dei dati personali (D. Lgs. 30 giugno 2003, n.196, art. 13). Per lo svolgimento delle attività cui la presente informativa si riferisce:</p>
		<div style="text-align:justify;padding-left:25px">
			<p><b>a)</b> il titolare del trattamento è il CNR, attraverso l'Istituto di Informatica e Telematica del CNR, Registro .it  (<a href="http://www.nic.it" target="_blank">http://www.nic.it</a>);</p>
			<p><b>b)</b> il responsabile del trattamento è il Registrar che di volta in volta gestisce il rapporto contrattuale con il Registrante; i suoi estremi identificativi sono contenuti nel contratto in essere tra il predetto Registrar ed il Registrante, e quindi conosciuti dall’interessato. Una lista dei responsabili del trattamento è disponibile sul sito web del Registro (<a href="http://www.nic.it" target="_blank">http://www.nic.it</a>). Il Registrar rimane titolare del trattamento relativamente al rapporto contrattuale direttamente intercorrente con il Registrante, non ricompreso nella presente informativa;</p> 
			<p><b>c)</b> le informazioni obbligatorie sono quelle indispensabili all'espletamento del servizio richiesto.</p>

		</div>
		<p align="justify">I dati personali del Registrante sono raccolti dal Registrar che di volta in volta gestisce il rapporto contrattuale con il Registrante mediante il presente modulo, al fine dell’iscrizione e gestione del nome a dominio nel Data Base dei Nomi Assegnati presso l’Istituto di Informatica e Telematica del CNR, Registro .it.</p>
		<p align="justify">Oltre ai dati personali raccolti tramite la compilazione del modulo, ove la transazione sia effettuata via telematica, verrà inoltre rilevato e conservato l'indirizzo IP da cui origina il collegamento Internet relativo alla compilazione del modulo on-line presso il Registrant ed il log della relativa transazione, ai fini di contribuire all'identificazione del registrante in relazione alle generalità dichiarate ed alle dichiarazioni rese dal registrante stesso. I dati personali, il predetto indirizzo IP ed il log della transazione costituiscono le informazioni obbligatorie.</p>
		<p align="justify">The mandatory information collected will be treated for purposes of administrative and accounting management, protection of rights and other objectives and activities related to registration, management, dispute, transfer and cancellation of the domain name, and for compliance with requirements of the law, regulations or EU legislation and disclosed to third parties for ancillary or necessary activities to ensure the accomplishment of those objectives. The data will not be used nor disclosed to third parties for any marketing purposes. With the exception of the IP address, the data will also be communicated to third parties who purport to want to act to protect individual rights in relation to the Registrant in connection with the registration or use of the domain name. In accordance with the standards of the Internet Engineering Task Force - IETF (<a href="http://www.ietf.org" target="_blank">http://www.ietf.org</a>) to ensure the accessibility of the domain name on the Internet, in order to maintain the balance for the system, and in consideration of the policy of the Registry of the ccTLD .it in order to avoid situations of anonymity and to allow the tracing of assignees, in the case of registration the following information will in any case will be visible on the Internet, through a Whois query: domain name, name and surname of the Registrant or the corporate name, status of the domain, Registrar and technical data (contactID, date of registration, expiry date, date  of last update and nameserver).</p>
		<p align="justify">Le informazioni obbligatorie raccolte saranno trattate per finalità di gestione amministrativa e contabile, tutela dei diritti e le altre finalità ed attività connesse alla registrazione, gestione, contestazione, trasferimento e cancellazione del nome a dominio, nonché per ottemperare ad obblighi di legge, regolamento o normativa comunitaria, e comunicate a terzi per attività accessorie o necessarie ai fini dell'espletamento delle predette finalità. I dati non verranno utilizzati e comunicati a terzi per attività di marketing o commercializzazione diretta. Fatta eccezione per l'indirizzo IP, i dati saranno altresì comunicati ai terzi che dichiarino di voler agire per la tutela dei propri diritti nei confronti del Registrante in relazione alla registrazione o l’uso del nome a dominio. In ossequio alle norme tecniche della Internet Engineering Task Force – IETF (http://www.ietf.org) volte a garantire la raggiungibilità del nome a dominio sulla rete Internet, al fine del mantenimento dell’equilibrio del relativo sistema, nonché in considerazione della politica del Registro .it tesa a evitare situazioni di anonimato e di consentire la rintracciabilità degli assegnatari, in caso di registrazione saranno in ogni caso visibili su Internet, tramite interrogazione Whois, insieme al nome a dominio i seguenti dati: nome e cognome del registrante o denominazione sociale, stato del dominio, Registrar e dati tecnici (contactID, data di registrazione, data di expire, data di ultimo aggiornamento e nameserver).</p>
		<p align="justify">Ai fini della presente informativa, il consenso al trattamento ai fini di registrazione si riferisce a tutte le predette attività nel loro complesso.</p> 
		<p align="justify">Il conferimento a fini di registrazione è facoltativo, ma in caso di mancato consenso non sarà possibile giungere alla registrazione, assegnazione e gestione del nome a dominio.</p>

		<p align="justify">Saranno inoltre visibili via Internet, previo separato consenso, tramite interrogazione Whois, insieme al nome a dominio i seguenti dati: indirizzo di residenza o della sede legale del registrante, numero di telefono, numero di fax, indirizzo e-mail, del Registrante.</p>
		<p align="justify">Ai fini della presente informativa, il consenso ai fini dell’accessibilità e diffusione via Internet si riferisce solo a queste ultime attività e tipologie di dati.</p>
		<p align="justify">Il conferimento ai fini dell'accessibilità e diffusione via Internet è facoltativo; il mancato consenso non precluderà la registrazione ma solo la visibilità pubblica via interrogazione Whois dei predetti dati, nei limiti sopra definiti. Ulteriori informazioni sulle modalità di interrogazione del data base del Registro sono disponibili sul sito web del Registro: www.nic.it.</p>
		<p align="justify">L’interessato gode dei diritti di cui all’art. 7 del Codice per la protezione dei dati personali tra i quali figurano il diritto di accesso, rettifica e cancellazione dei dati che lo riguardano.</p>
		<p align="justify">L’esercizio dei predetti diritti potrà essere esercitato tramite richiesta rivolta al Registrar che di volta in volta gestisce il rapporto contrattuale con il Registrante e in subordine all’Istituto di Informatica e Telematica del CNR, Via Giuseppe Moruzzi, 1, I-56124 Pisa, Italia.</p>
	</td></tr>

	<tr><td class="tablehead">Consenso al trattamento dei dati personali a fini di registrazione</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">L'interessato, letta l'informativa di cui sopra, presta il consenso al trattamento delle informazioni obbligatorie ai fini di registrazione, come definiti nella informativa di cui sopra.</p>
		<p align="justify">Il conferimento dei dati è facoltativo, ma in caso di mancato consenso non sarà possibile giungere alla registrazione, assegnazione e gestione del nome a dominio.</p>
	</td></tr>

	<tr><td class="tablehead">Consenso al trattamento dei dati personali per la diffusione ed accessibilità via Internet</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">L'interessato, letta l'informativa di cui sopra, presta il consenso alla diffusione e accessibilità via Internet, come definite nella informativa di cui sopra.</p>
		<p align="justify">Il conferimento è facoltativo, e il mancato consenso non permette la diffusione e accessibilità via Internet dei dati relativi.</p>
	</td></tr>

	<tr><td class="tablehead">Accettazione esplicita dei seguenti punti</td></tr>
	<tr><td class="p-15 vlm"><p align="justify">Per accettazione esplicita dei seguenti punti:</p>
		<div style="text-align:justify;padding-left:25px">
			<p><b>c)</b> di essere a conoscenza e di accettare che la registrazione e gestione di un nome a dominio sono soggette al “Regolamento di assegnazione e gestione dei nomi a dominio nel ccTLD .it” e al “Regolamento per la risoluzione delle dispute nel ccTLD .it” e loro successive modifiche;</p>
			<p><b>f)</b> di essere a conoscenza e di accettare che in caso di erronea o falsa dichiarazione nella presente richiesta, il Registro provvederà all’immediata revoca del nome a dominio, salvo ogni più ampia azione legale. In tal caso la revoca non potrà in alcun modo dare luogo a richieste di risarcimento nei confronti del Registro;</p>

			<p><b>g)</b> di sollevare il Registro da qualsiasi responsabilità derivante dalla assegnazione e dall’utilizzo del nome a dominio da parte della persona fisica richiedente;</p> 
			<p><b>h)</b> di accettare la giurisdizione italiana e le leggi dell’Ordinamento Statale Italiano.</p>
		</div>
	</td></tr>
    
</table>
</body>
</html>